
**********************************************************************************************************************************************************
**********************************************************************************************************************************************************
********************************************1. Variable Construction *************************************************************************************
**********************************************************************************************************************************************************
**********************************************************************************************************************************************************


****** Coding of variable names used in manuscript ************************************
* Variable name used in manuscript			Variable name used in code
* Ti,t+1 - Ti,t								D1_B_PM1a
* Ai,t – Ti,t								D_LY_A_B_PM1a
* ACHIEVEi,t								target_achieve
* APeer,t – Ti,t							D_LY_A_PM1a_Peer_B_PM1a_BUA
* SDPERF									sdA_LY_PM1a__t1_Q
* PCORR										rF_A_LY_PM1a__t1_Q
* DISTANT									distance_scaled_BUA
* SIMILAR									HHI_IndTask
* MATCH										PEER_DEMAND_BUA_2
* SIZE										A_LY_C_611_ln
* GROWTH									Growth_ALYR_ln
* GDP										GDP_growth
* PRICE										comp_intensity
* WAGE										internal_wage_rate
* SLACK LABOR  								c611_full
* THIRD PARTY 								capacity_thirdparty
* PROFITM 									A_LY_PM1a_
* CINDEX									COOP_full
***************************************************************************************

****** Abbreviations  *****************************************************************
* Abbreviations								Meaning
* A											Actual
* B											Budget, Target
* D, D1										Difference (to last year)
* L, L1										Lag
* LY										Last year
* R											Revenues								
* DC										Direct Costs										
* M1a										Profit Margin (Earnings, in Euro)
* PM1a										Profit Margin (Earnings, in % of Sales) 
* C_611										Direct Personnel Costs
***************************************************************************************




******Obtain exchange rates, inflation data, and GDP data********************************

* inflation data and exchange rates by country are calculated and merged with the main dataset
clear
import excel using "S:\21 Inflation\ny.gdp.defl.zs_Indicator_en_excel_v2_header.xls", sheet("Data") cellrange(A4) firstrow
keep  CountryName CountryCode year2010 year2011 year2012 year2013 year2014
generate inf_bs12_2012 = 100
generate inf_bs12_2013 = year2013/year2012 * 100
generate inf_bs12_2014 = year2014/year2012 * 100
generate inf_bs12_2011 = year2011/year2012 * 100
generate inf_bs12_2010 = year2010/year2012 * 100
drop year2010 year2011 year2012 year2013 year2014 
rename CountryCode Worldbank_CC 
save "S:\dta-files\GDP_Deflator", replace
clear
import excel using "S:\21 Inflation\eurofxref-hist.xlsx", sheet("fx rates") firstrow
gen year = yofd(Date)
drop Date
save "S:\dta-files\ExchangeRate", replace
clear
import excel using "S:\21 Inflation\exchange11052015.xlsx", sheet("NGR") firstrow
rename NGR NGN
rename RateYear year
save "S:\dta-files\NGN_ExchangeRate", replace
use "S:\dta-files\ExchangeRate", clear
merge 1:1 year using "S:\dta-files\NGN_ExchangeRate", keepusing(NGN)
drop _merge
drop CYP EEK ILS ISK LTL LVL MTL ROL SIT SKK TRL
rename ??? fx_???
reshape long fx_, i(year) j(Currency) string
save "S:\dta-files\ExchangeRate", replace
reshape wide fx_, i(Currency) j(year)
merge 1:m Currency using "S:\dta-files\BUA_Currency"
merge m:1 Worldbank_CC using "S:\dta-files\GDP_Deflator", nogenerate keep(1 3) keepusing(inf_bs12_2010 inf_bs12_2011 inf_bs12_2012 inf_bs12_2013  inf_bs12_2014)	
foreach b of varlist fx_* {
	replace `b' = 1 if Currency == "EUR"
}
gen EUR_inflation_2011 = 3.1
gen EUR_inflation_2012 = 2.6
gen EUR_inflation_2013 = 1.5
gen EUR_inflation_2014 = 0.6
drop if BUA_Mode == ""
reshape long fx_ EUR_inflation_ inf_bs12_, i(BUA_Mode) j(year)
egen BUA_id = group(BUA_Mode)
tsset BUA_id year
gen fx_L1_ = L1.fx_
gen fx_2012 = fx_ if year == 2012
replace fx_2012 = F1.fx_2012 if year == 2011
replace fx_2012 = L1.fx_2012 if year == 2013
replace fx_2012 = L2.fx_2012 if year == 2014
gen inf_bs12_L1 = L1.inf_bs12_
gen inf_bs12_L2 = L2.inf_bs12_
gen EUR_inflation_L1_ = L1.EUR_inflation_
drop BUA_id
rename BUA_Mode BUA_MODE

*********************************************************************
********CONFIDENTIAL INFORMATION - REMOVED FROM CODE ****************
*********************************************************************

save "S:\dta-files\ExchangeRate", replace
clear
use "S:\dta-files\BUA_Data_annual"
merge m:1 BUA_MODE year using "S:\dta-files\ExchangeRate" ,  keep(1 3) nogenerate
save "dta-files\BUA_Temp", replace
clear

* Import GDP data, calculate GDP growth variable and merge with the main dataset
import excel using "S:\23 GDPperCapita\ny.gdp.pcap.cd_Indicator_en_excel_v2.xls", sheet("Data")
rename A BUA_MODE
rename BE year2012
rename BF year2013
rename BG year2014
drop in 1/4
keep BUA_MODE year2012 year2013 year2014

* Because this part expands and drop duplicates by name this information could be used to identify the firm, this part of the code has been ommitted.
*********************************************************************
********CONFIDENTIAL INFORMATION - REMOVED FROM CODE ****************
*********************************************************************
destring year2012 year2013 year2014, replace
gen GDP_growth2013 = 100 * ((year2013/year2012)-1)
gen GDP_growth2014 = 100 * ((year2014/year2013)-1)
drop year2012 year2013 year2014 dup
reshape long GDP_growth, i(BUA_MODE) j(year)
save "S:\dta-files\GDP_Growth", replace
clear
import excel using "S:\23 GDPperCapita\ny.gdp.pcap.cd_Indicator_en_excel_v2.xls", sheet("Data")
rename A BUA_MODE
rename BE year2012
rename BF year2013
rename BG year2014
drop in 1/4
keep BUA_MODE year2012 year2013 year2014
* For peer groups that span multiple countries, take unweighted average of GDP
* Because aggregation happens by name, this information could be used to identify the firm, this part of the code has been ommitted.
*********************************************************************
********CONFIDENTIAL INFORMATION - REMOVED FROM CODE ****************
*********************************************************************
destring year2012 year2013 year2014, replace
collapse (firstnm) BUA_MODE (mean) year2012 year2013 year2014 
*********************************************************************
********CONFIDENTIAL INFORMATION - REMOVED FROM CODE ****************
*********************************************************************
gen GDP_growth2013 = 100 * ((year2013/year2012)-1)
gen GDP_growth2014 = 100 * ((year2014/year2013)-1)
drop year2012 year2013 year2014
reshape long GDP_growth, i(BUA_MODE) j(year)
tempfile temp
save "`temp'"	
use "S:\dta-files\GDP_Growth"
append using "`temp'"
save "S:\dta-files\GDP_Growth", replace
clear
use "S:\dta-files\BUA_Temp"
merge m:1 BUA_MODE year using "S:\dta-files\GDP_Growth" ,  keep(1 3) generate(_merge2)
drop _merge2
save "dta-files\BUA_Temp", replace

* Obtain external business group revenues 
merge m:1 BUA year using  "S:\dta-files\BUA_Hours_3rdP_Rev", keep(1 3) nogenerate
save "dta-files\BUA_Temp", replace	

******Deflate and covert local currency to Euro's*****************************************

* Replace zero val's with missings. 
foreach a  in    A_LY_M1a_ A_LY_R_ B_LY_M1a_ B_LY_R_ B_M1a_ B_R_  {
	replace `a' = . if `a' == 0 
}

* deflate and convert financial performance measures to local currency 
tsset dept_id year
foreach a in R M1a DC C_611  {
	replace A_LY_`a'_ = A_LY_`a'_ / inf_bs12_L1 * 100 / fx_2012  
}

foreach a in R M1a DC  {
	replace B_LY_`a'_ = B_LY_`a'_ / inf_bs12_L1 * 100 / fx_2012
	replace B_`a'_ = B_`a'_ /  inf_bs12_ * 100 / fx_2012

}

foreach a in C_611  {
	replace B_`a'_ = B_`a'_ /  inf_bs12_ * 100 / fx_2012
	replace B_LY_`a'_ = B_LY_`a'_ / inf_bs12_L1 * 100 / fx_2012

}

tsset dept_id year
foreach a in  3rd_P_Rev {
	replace A_LY_`a' = A_LY_`a' / inf_bs12_L1 * 100 / fx_2012  
}
foreach a in 3rd_P_Rev {
	replace B_`a' = B_`a' /  inf_bs12_ * 100 / fx_2012
}	

* Deflate monthly measures of financial performance
forval c = 1/12 {
	gen inf_bs12_L1_Month_`c' = ((12 -`c' ) / 12 ) * inf_bs12_L2 + ( `c' /12 ) * inf_bs12_L1 
	gen inf_bs12_Month_`c' = ((12-`c') / 12) * inf_bs12_L1 + (`c')/12 * inf_bs12_	
}

forval c = 1/12 {
	foreach a in R M1a DC C_611  {
			replace A_LY_`a'_Month_`c' = A_LY_`a'_Month_`c' / (inf_bs12_L1_Month_`c' / 100)  
			replace B_`a'_Month_`c' = B_`a'_Month_`c' / (inf_bs12_Month_`c' / 100)  
	}
}		

save "dta-files\BUA_Temp", replace
	
			
******Construct various variables **************************************************************
			

* Logged personnel costs 
gen A_LY_C_611_ln = ln(A_LY_C_611_)

* Revenue growth
gen Growth_ALYR = .
local N = _N
forval i = 1/`N' {
	local j = 1
	local k = 12
		while  A_LY_R_Month_`j'[`i'] <= 0 & `j' < 12 {
			local j = `j' + 1
		}
		while A_LY_R_Month_`k'[`i'] <= 0 & `k' > 1 & `k' > `j'  {	
			local k = `k' - 1
		}
		display  "`j'"  " " "`k'"  " " "`i'"
		if `k' != `j' {
			replace Growth_ALYR = (A_LY_R_Month_`k'[`i'] / A_LY_R_Month_`j'[`i'] ) 	in `i'	
		}
} 
gen Growth_ALYR_ln = ln(Growth_ALYR)

* Target revisions 
gen D1_B_PM1a = B_PM1a_ - B_LY_PM1a_

* Overachievement (or underachievement)
gen D_LY_A_B_PM1a =  A_LY_PM1a_ - B_LY_PM1a_

* Generate target achievement variables and competition intensity
tsset dept_id year
gen target_achieve = .
replace target_achieve = 1 if D_LY_A_B_PM1a >= 0 & D_LY_A_B_PM1a != .
replace target_achieve = 0 if D_LY_A_B_PM1a < 0 & D_LY_A_B_PM1a != .

*  compention intensity (PRICE)
gen comp_intensity =  1000*(A_LY_3rd_P_Rev / A_LY_3rd_P_ChaHrs)
save "dta-files\BUA_Temp", replace



******Sample selection ***************************************************************

use "dta-files\BUA_Temp", clear

* Drop irregular business units
* Because they are dropped by name and this information could be used to identify the firm, this part of the code has been ommitted.
*********************************************************************
********CONFIDENTIAL INFORMATION - REMOVED FROM CODE ****************
*********************************************************************

* Drop observations that were splitted (1) or merged (3) during observation year. Also delete the units before the merge (5).	
gen RESTRUCTURED_UNIT = (TAKEOUTPEER == 1 | TAKEOUTPEER == 3 | 	TAKEOUTPEER == 5)
drop if RESTRUCTURED_UNIT == 1


* Drop missing values
egen MISS = rowmiss(D1_B_PM1a  D_LY_A_B_PM1a)
drop if MISS >= 1

* Drop year 2012 - no targets for 2011 available	
drop if year == 2012

* Trim at 1% of main variables (target revisions and target achievement)
xtile  D1_B_PM1a_xt = D1_B_PM1a , nquantile(100)
xtile  D_LY_A_B_PM1a_xt =  D_LY_A_B_PM1a, nquantile(100)
drop if D_LY_A_B_PM1a_xt == 100 
drop if D_LY_A_B_PM1a_xt == 1 
drop if  D1_B_PM1a_xt == 100 
drop if D1_B_PM1a_xt == 1

* Determine number of peers and drop units without peers
bysort BUA_MODE_id year: egen PeersCount = count(dept_id) 
browse BUA_MODE_id BUA Name_ year PeersCount
replace PeersCount = PeersCount - 1 
drop if PeersCount == 0
tsset dept_id year
save "dta-files\BUA_Temp", replace


****** Sample indicator variable *****************************************************

* Generate final sample information (to be used to restrict sample for variables constructed based on monthly information)

preserve			
	reg   D1_B_PM1a  D_LY_A_B_PM1a target_achieve c.D_LY_A_B_PM1a#i.target_achieve c.D_LY_A_B_PM1a#i.target_achieve, cluster(dept_id)	
	gen SAMPLE = e(sample)
	gen SAMPLE_YEAR = SAMPLE
	keep dept_id year SAMPLE SAMPLE_YEAR
	drop if SAMPLE == 0
	save "dta-files\Peers_in_Sample", replace
	collapse (max) SAMPLE, by(dept_id)
	save "dta-files\BUA_Sample", replace
restore



****** Noise Measures *****************************************************************

*** Load monthly performance data***

clear all
use "dta-files\BUA_Data_Monthly", replace

set more off
merge m:1 BUA_MODE year using "S:\dta-files\ExchangeRate" ,  keep(1 3) nogenerate

* Deflate monthly measures of financial performance
forval c = 1/12 {
	gen inf_bs12_L1_Month_`c' = ((12 -`c' ) / 12 ) * inf_bs12_L2 + ( `c' /12 ) * inf_bs12_L1 
	gen inf_bs12_Month_`c' = ((12-`c') / 12) * inf_bs12_L1 + (`c')/12 * inf_bs12_	
}

forval c = 1/12 {
	foreach a in R M1a DC {
			replace A_LY_`a'_Month_`c' = A_LY_`a'_Month_`c' / (inf_bs12_L1_Month_`c' / 100)  
			replace B_`a'_Month_`c' = B_`a'_Month_`c' / (inf_bs12_Month_`c' / 100)  
	}
}		



keep dept_id Name_ BUA_MODE BUA_MODE_id year A_LY_*Month* B_*Month*  B_R_Month*  B_M1a_Month* Currency    
reshape long A_LY_DC_ A_LY_M1a_ A_LY_PM1a_ A_LY_R_ B_R_ B_M1a_ B_DC_, i(dept_id year) j(Month) string
gen Month_num = .
replace Month_num = 1 if Month == "Month_1"
replace Month_num = 2 if Month == "Month_2"
replace Month_num = 3 if Month == "Month_3"
replace Month_num = 4 if Month == "Month_4"
replace Month_num = 5 if Month == "Month_5"
replace Month_num = 6 if Month == "Month_6"
replace Month_num = 7 if Month == "Month_7"
replace Month_num = 8 if Month == "Month_8"
replace Month_num = 9 if Month == "Month_9"
replace Month_num = 10 if Month == "Month_10"
replace Month_num = 11 if Month == "Month_11"
replace Month_num = 12 if Month == "Month_12"
gen Month_SIF = ym(year, Month_num)
tsset dept_id Month_SIF


****** Sample Selection  *************************************************************

* include only units used in main analysis 
merge m:1 dept_id using "S:\dta-files\BUA_Sample", nogenerate
replace SAMPLE = 0 if SAMPLE == .
drop if SAMPLE == 0

tempfile Monthly_Data_full
save "`Monthly_Data_full'"	

* Remove implausible monthly observations (missing val on last years costs, revenues, or margins, or zero values in all of the above)
drop if A_LY_DC_ == . | A_LY_M1a_ == . | A_LY_R_ == .	
drop if A_LY_DC_ == 0 & A_LY_M1a_ == 0 & A_LY_R_ == 0
xtset dept_id Month_SIF	
save "S:\dta-files\BUA_Sample_Monthly_Data", replace


****** Prepare pairwise combinations of peers **************************************

use "S:\dta-files\BUA_Sample_Monthly_Data", clear
keep dept_id year BUA_MODE_id BUA_MODE Name_
collapse  (firstnm) BUA_MODE_id (firstnm) BUA_MODE (firstnm) Name_, by(dept_id)
save "S:\dta-files\deptid_BUA", replace

use "S:\dta-files\Peers_in_Sample", clear
merge 1:1 dept_id year using "S:\dta-files\BUA_Temp", keepusing(BUA_MODE_id) nogenerate
tempfile datadump
save "`datadump'"
rename dept_id dept_id1
joinby BUA_MODE_id year using "`datadump'"
drop if dept_id == dept_id1
sort year dept_id dept_id1
describe, short
save "S:\dta-files\Peer_x_Peer_Year", replace
use "`datadump'", clear
collapse (first) BUA_MODE_id, by(dept_id)
save "`datadump'", replace
rename dept_id dept_id1
joinby BUA_MODE_id using "`datadump'"
drop if dept_id == dept_id1
sort dept_id dept_id1
save "S:\dta-files\Peer_x_Peer", replace

****** Prepare monthly and quarterly data *******************************************

local periods = "Q M"
foreach period in `periods' {

	use "S:\dta-files\BUA_Sample_Monthly_Data", clear
	xtset dept_id Month_SIF
	format  Month_SIF %tm
	gen qt=qofd(dofm(Month_SIF))
	format qt %tq
	gen t = Month_SIF

	* prepare quarterly data
	if "`period'" == "Q" {
		replace t = qt
		
		collapse (sum) A_LY_R_ A_LY_M1a_ (first) BUA_MODE_id  year, by(dept_id t)
		gen A_LY_PM1a_ = A_LY_M1a_ / A_LY_R_
		
	}
	xtset dept_id t
	
	* trim extreme observations
	local PM = "  A_LY_PM1a_ " 
	foreach var of varlist `PM' {
		winsor2 `var' , trim cuts(1 99) suffix(_t1)
	}
	save  "S:\dta-files\BUA_Sample_Monthly_Data_`period'", replace
}

****** Obtain standard deviations of measures (SDPERF) ******************************

capture program drop PeerSD
program PeerSD, nclass
	syntax anything
	gettoken y x: anything
	display "`1'"
	display "`2'"
	local y = "`1'"
	local x = "`2'"
	display "`x'"
	display "`y'"
	use "S:\dta-files\BUA_Sample_Monthly_Data_`x'", clear
	collapse (mean) mean = `y' (sd) sd = `y' , by(dept_id)
	egen sd_rank = rank(sd), track
	drop mean
	drop sd_rank
	rename sd* sd*`y'_`x'
	merge 1:1 dept_id using "S:\dta-files\Peers_SDEV", nogenerate
	save "S:\dta-files\Peers_SDEV", replace  
end

use "S:\dta-files\deptid_BUA", clear
save "S:\dta-files\Peers_SDEV", replace  

local PM = " A_LY_PM1a_ " 
foreach var in `PM' {
	foreach spec in `var'  {
		foreach spect in `spec'_t1 {
			PeerSD "`spect'" "Q"
			PeerSD "`spect'" "M"
		}
	}
}

****** Obtain peer correlations ******************************************************

capture program drop PeerCorrelations
program PeerCorrelations, nclass
	syntax anything
	gettoken y x: anything
	display "`1'"
	display "`2'"
	local y = "`1'"
	local x = "`2'"
	display "`x'"
	display "`y'"

	use "S:\dta-files\BUA_Sample_Monthly_Data_`x'", clear
	keep dept_id BUA_MODE_id year t `y'

	tempfile ts
	save "`ts'"
	rename * *1
	* all peer months combinations 
	cross using "`ts'"
	* keep only corresponding months 
	keep if t == t1
	drop year1 year
	tempfile ts2
	save "`ts2'", replace

	* for peers from a given financial year
	expand 2, generate(year)
	replace year = 2013 if year == 0
	replace year = 2014 if year == 1
	merge m:1 dept_id dept_id1 year using "S:\dta-files\Peer_x_Peer_Year"
	drop if _merge==1
	statsby cov=r(cov_12)  var1=r(Var_1) var2=r(Var_2), clear by(dept_id dept_id1 year): correlate `y' `y'1, covariance    
	gen stdv = sqrt(var1)
	gen stdv1 =sqrt(var2)
	gen r_`y' = cov / (stdv * stdv1)
	gen rPOS_`y' = r_`y'
	replace rPOS_`y' = 0 if r_`y' < 0
	bysort dept_id year: egen r_`y'_mean_BUyr = mean(r_`y')
	bysort dept_id year: egen r_`y'_med_BUyr = median(r_`y')
	merge m:1 dept_id using "S:\dta-files\deptid_BUA"
	sum r_`y', detail
	tempfile dumppeercorrelations
	save "`dumppeercorrelations'"
	collapse (mean) r_`y'_`x' = r_`y'  rP_`y'_`x' = rPOS_`y'  (median) r_`y'_med_`x' = r_`y' rP_`y'_med_`x' = rPOS_`y', by(dept_id year)
	merge 1:1 dept_id year using "S:\dta-files\Peers_Correlations", nogenerate
	save "S:\dta-files\Peers_Correlations", replace  
	use "`dumppeercorrelations'", clear
	collapse (mean) r_`y'_`x'GR = r_`y' rP_`y'_`x'GR = rPOS_`y' (median) r_`y'_med_`x'GR = r_`y' rP_`y'_med_`x'GR = rPOS_`y', by(BUA_MODE_id year)
	merge 1:m BUA_MODE_id year using "S:\dta-files\Peers_Correlations", nogenerate
	save "S:\dta-files\Peers_Correlations", replace  
	clear

	* for peers from all years
	use "`ts2'"
	merge m:1 dept_id dept_id1  using "S:\dta-files\Peer_x_Peer"
	drop if _merge==1
	statsby cov=r(cov_12)  var1=r(Var_1) var2=r(Var_2), clear by(dept_id dept_id1): correlate `y' `y'1, covariance    
	gen stdv = sqrt(var1)
	gen stdv1 =sqrt(var2)
	gen rF_`y' = cov / (stdv * stdv1)
	gen rFPOS_`y' = rF_`y'
	replace rFPOS_`y' = 0 if rF_`y' < 0

	merge m:1 dept_id using "S:\dta-files\deptid_BUA"
	tempfile dumppeercorrelations
	save "`dumppeercorrelations'"
	collapse (mean) rF_`y'_`x' = rF_`y'  rFP_`y'_`x' = rFPOS_`y'  (median) rF_`y'_med_`x' = rF_`y' rFP_`y'_med_`x' = rFPOS_`y', by(dept_id )
	merge 1:m dept_id using "S:\dta-files\Peers_Correlations", nogenerate
	save "S:\dta-files\Peers_Correlations", replace 
	clear
	
end	

use "S:\dta-files\Peers_in_Sample", clear
merge m:1 dept_id using "S:\dta-files\deptid_BUA"
save "S:\dta-files\Peers_Correlations", replace  

local PM = "A_LY_PM1a_  " 
foreach var in `PM' {
	foreach spec in `var' {
		foreach spect in  `spec'_t1 {
			PeerCorrelations "`spect'" "Q"
			PeerCorrelations "`spect'" "M"
		}
	}
}

clear
 


******Obtain measures for peer capacity to filter noise (PCorr) *************************
* These measures are obtained by executing syntax 'CreatePeerCorrelations'

* Obtain peer correlations (PCorr)
use "S:\dta-files\Peers_Correlations", clear
tabstat r*, stat(p50 p25 p75) format(%7.2f) columns(stats) varwidth(30)

merge 1:1 dept_id year using "S:\dta-files\BUA_Temp", nogenerate
drop SAMPLE  SAMPLE_YEAR
save "S:\dta-files\BUA_Temp", replace

* Obtain standard deviation measure (SDPerf) 
use "S:\dta-files\Peers_SDEV", clear
merge 1:m dept_id using "S:\dta-files\BUA_Temp", nogenerate
save "S:\dta-files\BUA_Temp", replace


******Obtain measures for importance of cooperation*************************************

**** Generate Match measure ****
	
forval x = 1/6 {
	use "dta-files\BUA_Temp", clear
	keep  dept_id year Name_ Department A_LY_DC_ ///
		A_LY_R_Month_1 A_LY_R_Month_2 A_LY_R_Month_3 A_LY_R_Month_4 A_LY_R_Month_5 A_LY_R_Month_6 ///
		A_LY_R_Month_7 A_LY_R_Month_8 A_LY_R_Month_9 A_LY_R_Month_10 A_LY_R_Month_11 A_LY_R_Month_12	BUA_MODE
	egen A_LY_MONTH_total = rowtotal(A_LY_R_Month_? A_LY_R_Month_??), missing
	foreach e of varlist  A_LY_R_Month_? A_LY_R_Month_?? {
		replace `e' = . if A_LY_MONTH_total == 0
	}
	drop A_LY_MONTH_total
	egen PeerGroup_BUA = group(BUA_MODE)
	reshape long  A_LY_R_Month_, i(dept_id year) j(Month) 
	sort  dept_id year A_LY_R_Month_
	bysort dept_id year: egen A_LY_Month_rank = rank(A_LY_R_Month_),  unique
	scalar m = `x'
	keep if  A_LY_Month_rank < 13
	replace A_LY_Month_rank = 13 - A_LY_Month_rank
	sort  dept_id year A_LY_Month_rank
	reshape wide  Month A_LY_R_Month_, i(dept_id year) j(A_LY_Month_rank)
	rename PeerGroup_BUA  Rpeer
	sum Rpeer
	gen PEER_DEMAND = .
	gen Matches = .
	
	local N = _N
	local ml = m
		forval a = 1/`N' {
			local score3 = 0
			local Peer = 0
			forval b = 1/`N' {
				if year[`a'] == year[`b'] & dept_id[`a'] != dept_id[`b'] & Rpeer[`a'] == Rpeer[`b'] {
					local Peer = `Peer' + 1
					forval c = 1/`ml' {
						forval d = 1/`ml'{
							local 13minusC = 13 - `c'
							if Month`13minusC'[`a'] == Month`d'[`b'] {  
								local score3 = `score3' + 1
							}
						}	
					}
				}	
			}
		display as txt ""
		local PossibleTopMatches = `ml' *`Peer'
		scalar DemandAvailable = `score3' / (`ml' *`Peer') * 100
		replace PEER_DEMAND = DemandAvailable in `a'		
		}
	
	save "dta-files\Overlap_BUA_`ml'", replace
	use "dta-files\BUA_Temp", clear
	merge 1:1 dept_id year using "dta-files\Overlap_BUA_`ml'", keepusing( PEER_DEMAND ) nogenerate
	rename PEER_DEMAND PEER_DEMAND_BUA_`ml'
	save "dta-files\BUA_Temp", replace
}

foreach j of varlist PEER_DEMAND* {
	replace `j' = `j'  / 100
}

save "dta-files\BUA_Temp", replace

**** Obtain similarity (Similar) measure ****

* Use dataset on revenues in Industry-Task combination
use "S:\dta-files\BUA_IndTaskRevenue", clear

* Calculate squared revenue shares
bysort BUA year: egen REV_BUA_YEAR = sum(ACTUAL_LY)
gen ACTUAL_LY_SH_SQ = (ACTUAL_LY / REV_BUA_YEAR) * (ACTUAL_LY / REV_BUA_YEAR)
drop if ACTUAL_LY_SH_SQ == .

* Calculate shares by year and BUA
collapse (sum) HHI_IndTask = ACTUAL_LY_SH_SQ , by(BUA year)
merge 1:m BUA year using "S:\dta-files\BUA_Temp" , keep(2 3) nogenerate
save "dta-files\BUA_Temp", replace		


**** Obtain distance measure (Distant)****
			
* Generate mean Longitudes and Latitudes per peer group (= geographical midpoint)
* Then calculate distance of focal unit to mean longitude / latitude of peer group
clear
* Import Geocodes
import excel using "\10_Geolocation\BU_geocodes.xlsx", firstrow cellrange (A1:G287)
save "dta-files\Geolocations", replace
use "dta-files\BUA_temp", clear
rename _merge merge_BUAs
merge m:1 Name_Geo using "dta-files\Geolocations", keepusing (Longitude Latitude)
drop if _merge == 2
drop _merge
destring Longitude Latitude, replace
bysort year BUA_MODE: egen mean_longitude_peergroup_BUA = mean (Longitude) if year != . 
bysort year BUA_MODE: egen mean_latitude_peergroup_BUA = mean (Latitude) if year != . 
geodist Longitude Latitude mean_longitude_peergroup_BUA mean_latitude_peergroup_BUA, gen(distance_BUA)
gen distance_scaled_BUA = distance_BUA / 1000
save "dta-files\BUA_Temp", replace		

******Obtain measures of peer performance*********************************************

bysort BUA_MODE_id year: egen D_LY_A_B_PM1a_PeerCount_BUA = count(D_LY_A_B_PM1a) 
bysort BUA_MODE_id year: egen D_LY_A_B_PM1a_Peersum_BUA = sum(D_LY_A_B_PM1a) 
gen  D_LY_A_B_PM1a_Peer_BUA =  (D_LY_A_B_PM1a_Peersum_BUA - D_LY_A_B_PM1a)  / (D_LY_A_B_PM1a_PeerCount_BUA - 1) 

bysort BUA_MODE_id year: egen A_LY_PM1a_Peersum_BUA = sum(A_LY_PM1a_) 
by BUA_MODE_id year: egen A_LY_PM1a_PeerCount_BUA = count(A_LY_PM1a_) 
gen A_LY_PM1a_Peer_BUA = (A_LY_PM1a_Peersum_BUA - A_LY_PM1a_ ) / (A_LY_PM1a_PeerCount_BUA - 1) 
gen D_LY_A_PM1a_Peer_B_PM1a_BUA = A_LY_PM1a_Peer_BUA - B_LY_PM1a_ 

bysort BUA_MODE_id year: egen A_LY_PM1a_Rank_BUA = rank(A_LY_PM1a_) , field
gen A_LY_PM1a_Rank_Trans_BUA = (A_LY_PM1a_Rank_BUA - 1) / (A_LY_PM1a_PeerCount_BUA - 1)
gen A_LY_PM1a_Top50 =  cond(A_LY_PM1a_Rank_Trans_BUA < 0.5,1,0,.)
gen A_LY_PM1a_Bot50 =  cond(A_LY_PM1a_Rank_Trans_BUA >= 0.5,1,0,.)


****** Obtain capacity information *****************************************************

* Merge main dataset with available hours (capacity) and personnel costs
merge m:1 BUA year using "S:\dta-files\BUA_Capacity_Cost", generate(BUA_cap_merge)
drop if BUA_cap_merge == 2
drop A_LY_Contract_hours A_LY_Overtime_hours A_LY_Union_pers BUA_cap_merge A_LY_CAP_HRS A_LY_Direct_pers A_LY_Union_pers A_LY_Avail_hrs_own_union_PC Downtime
merge m:1 BUA year using "S:\dta-files\BUA_Capacity", keepusing(A_LY_Contract_hours A_LY_Overtime_hours) generate(BUA_cap_merge)
drop if BUA_cap_merge == 2
drop BUA_cap_merge
	
* Generate internal wage rate (Wage)
rename  A_LY_C611 A_LY_BUA_C611
gen A_LY_BUA_C611_df_fx = A_LY_BUA_C611 / inf_bs12_L1 * 100 / fx_2012
rename A_LY_Theo_Cap_Hrs A_LY_BUA_Theo_Cap_Hrs 
gen internal_wage_rate_BUA = A_LY_BUA_C611_df_fx / A_LY_BUA_Theo_Cap_Hrs * 1000
save "dta-files\BUA_Temp", replace

use "s:/dta-files/CapacityHours_2013", clear
sort BUA_MODE year
collapse (mean) hours* capacity* , by(BUA_MODE year)
save "s:/dta-files/CapacityHours_2013_temp", replace
use "s:/dta-files/CapacityHours_2014", clear
sort BUA_MODE year
collapse (mean) hours* capacity* , by(BUA_MODE year)
save "s:/dta-files/CapacityHours_2014_temp", replace
use "s:/dta-files/CapacityHours_2013_temp", clear
append using "s:/dta-files/CapacityHours_2014_temp"
save "s:/dta-files/CapacityHours_temp", replace
use "s:/dta-files/BUA_Temp", clear
merge m:1 BUA_MODE year using "s:/dta-files/CapacityHours_temp", generate(merge_Cap)
drop if merge_Cap == 2
drop merge_Cap
save "s:/dta-files/BUA_Temp", replace


**********************************************************************************************************************************************************
**********************************************************************************************************************************************************
********************************************2. Data analysis *********************************************************************************************
**********************************************************************************************************************************************************
**********************************************************************************************************************************************************

* Preparation steps
clear all
set more off, perm
use "S:\dta-files\BUA_Temp.dta", clear
foreach no  of numlist 611   {
	gen c`no' = A_LY_C_`no'_ 
}


* Regress costs on set of control variables to obtain a measure adjusted for those factors
outreg, clear
mata: mata clear
foreach coop_measure of varlist c611 {
	qui reg `coop_measure' A_LY_R_
	qui outreg, merge
	qui reg `coop_measure' A_LY_R_  i.year Growth_ALYR_ln comp_intensity  GDP_growth  internal_wage_rate_BUA
	qui outreg, merge(abnCosts)
	predict `coop_measure'_full, residual
}
outreg, replay(abnCosts) title("Abnormal Cost Estimation")


* Generate small caps version of cooperation measures (necessary for sem commands)
gen dist = distance_scaled_BUA
gen hhi = HHI_IndTask
gen match = PEER_DEMAND_BUA_2


* MIMIC model (including goodness of fit)
gen a_LY_PM1a_ = A_LY_PM1a_
gen c611_full_1000s = c611_full / 1000
sem (COOP_full ->  a_LY_PM1a_ c611_full_1000s capacity_thirdparty   ) (COOP_full <- dist hhi match ), method(mlmv) 
estat gof, stats(all)
qui outreg, addrows("SE errors", "OLS" \ "Estimation", "mlmv" ) 
qui sem (COOP_full ->  a_LY_PM1a_ c611_full_1000s   capacity_thirdparty   ) (COOP_full <- dist hhi match ), method(mlmv) vce(robust)
qui outreg, merge addrows("SE errors", "robust" \ "Estimation", "mlmv" )
qui sem (COOP_full ->  a_LY_PM1a_ c611_full_1000s   capacity_thirdparty   ) (COOP_full <- dist hhi match ), 
outreg, merge addrows("SE errors", "robust" \ "Estimation", "ml" )
sem (COOP_full ->  a_LY_PM1a_ c611_full_1000s   capacity_thirdparty   ) (COOP_full <- dist hhi match ), method(mlmv) 
predict COOP_full, latent


* Target setting analysis
* with MIMIC predictor
mata: mata clear 
local size_control "A_LY_C_611_ln"
qui areg   D1_B_PM1a  D_LY_A_B_PM1a  c.D_LY_A_B_PM1a##i.target_achieve COOP_full c.D_LY_A_B_PM1a#c.COOP_full D_LY_A_PM1a_Peer_B_PM1a_BUA c.D_LY_A_PM1a_Peer_B_PM1a_BUA#c.COOP_full  i.year  `size_control' Growth_ALYR_ln comp_intensity  GDP_growth, absorb(BUA_MODE_id) vce(robust)	
qui outreg, merge(TS_MIMIC)  title("Target Setting Analysis" \ "COOP LATENT Variable") ctitle("DV", "T(t+1)-T(t)" \ "VAR", "`noise_control'") addrows("Year FE", "yes" \"Peer FE", "yes")  starlevels(10 5 1) bdec(2) summstat(r2_a \ r2 \ N)
sum COOP_full, detail
local mean = r(mean)
local sd = r(sd)
local meanplussd = `mean'+`sd'
local meanminussd = `mean'-`sd'
margins, dydx(D_LY_A_B_PM1a D_LY_A_PM1a_Peer_B_PM1a_BUA) at(COOP_full =(0 `mean'  `meanplussd') target_achieve=(0) )
* with MIMIC predictor and noise filtering controls
foreach noise_control of varlist   rF_A_LY_PM1a__t1_Q sdA_LY_PM1a__t1_Q {
	gen VAR = `noise_control'
	qui areg   D1_B_PM1a  D_LY_A_B_PM1a  c.D_LY_A_B_PM1a##i.target_achieve COOP_full c.D_LY_A_B_PM1a#c.COOP_full D_LY_A_PM1a_Peer_B_PM1a_BUA c.D_LY_A_PM1a_Peer_B_PM1a_BUA#c.COOP_full  VAR c.D_LY_A_B_PM1a#c.VAR c.D_LY_A_PM1a_Peer_B_PM1a_BUA#c.VAR i.year  `size_control' Growth_ALYR_ln comp_intensity  GDP_growth, absorb(BUA_MODE_id) vce(robust)	
	qui outreg, merge(TS_MIMIC)  title("Target Setting Analysis" \ "COOP LATENT Variable") ctitle("DV", "T(t+1)-T(t)" \ "VAR", "`noise_control'") addrows("Year FE", "yes" \"Peer FE", "yes")  starlevels(10 5 1) bdec(2) summstat(r2_a \ r2 \ N)
	drop VAR
}
outreg, replay("TS_MIMIC")


* SEM with controls with goodness of fit estimates
gen a_LY_R_  = A_LY_R_
gen year13 = (year==2013)
gen growth_ALYR_ln = Growth_ALYR_ln
gen gdp_growth = GDP_growth 
sem (COOP_full a_LY_R_ comp_intensity  internal_wage_rate_BUA year13 growth_ALYR_ln gdp_growth ->  a_LY_PM1a_ c611_full_1000s   capacity_thirdparty   ) (COOP_full <- dist hhi match  ), vce(robust) 
estat gof, stats(all)
qui outreg, addrows("SE errors", "OLS" \ "Estimation", "mlmv" ) 


* Provide file path for Word Table Output

*********************************************************************
********CONFIDENTIAL INFORMATION - REMOVED FROM CODE ****************
*********************************************************************

* TABLE 1: Descriptive Statistics
tabstatout D1_B_PM1a  D_LY_A_B_PM1a target_achieve D_LY_A_PM1a_Peer_B_PM1a_BUA sdA_LY_PM1a__t1_Q   rF_A_LY_PM1a__t1_Q COOP_full distance_scaled_BUA HHI_IndTask PEER_DEMAND_BUA_2  ///
 A_LY_C_611_ln Growth_ALYR_ln GDP_growth comp_intensity, s(n mean sd p25 p50 p75) tf(Table1) c(s) f(%7.2f) replace
tabstat D1_B_PM1a  D_LY_A_B_PM1a target_achieve D_LY_A_PM1a_Peer_B_PM1a_BUA sdA_LY_PM1a__t1_Q   rF_A_LY_PM1a__t1_Q  distance_scaled_BUA HHI_IndTask PEER_DEMAND_BUA_2  ///
 A_LY_C_611_ln Growth_ALYR_ln GDP_growth , stat(n mean sd p25 p50 p75) columns(stat) format(%7.2f)

 
* TABLE 2: Pearson Correlations
putexcel set Table2, modify
pwcorr D1_B_PM1a  D_LY_A_B_PM1a target_achieve D_LY_A_PM1a_Peer_B_PM1a_BUA sdA_LY_PM1a__t1_Q   rF_A_LY_PM1a__t1_Q  distance_scaled_BUA HHI_IndTask PEER_DEMAND_BUA_2  ///
A_LY_C_611_ln Growth_ALYR_ln GDP_growth comp_intensity
putexcel c2=matrix(r(C)), rownames 
 
 
* TABLE 3A: Importance of Cooperation—Validation Analysis — Correlations among the three proxies for the importance of cooperation and the three economic outcome variables
putexcel set Table3A, modify
pwcorr distance_scaled_BUA HHI_IndTask PEER_DEMAND_BUA_2 c611_full_1000s  capacity_thirdparty A_LY_PM1a_, star(0.1)
putexcel c2=matrix(r(C)), rownames 

* TABLE 3B: Importance of Cooperation—Validation Analysis — multivariate tests
local i = 0
foreach outcome of varlist c611_full  c611_full_1000s   capacity_thirdparty A_LY_PM1a_ {
	mata: mata clear
	eststo clear
	local i = `i' +1
	foreach var of varlist   distance_scaled_BUA HHI_IndTask PEER_DEMAND_BUA_2  {
	gen var = `var'
	eststo: qui reg   `outcome'  var A_LY_R_ i.year Growth_ALYR_ln comp_intensity  GDP_growth  internal_wage_rate_BUA, vce(robust) 
	qui outreg, merge(3BD)
	drop var	
	}
	esttab using Table3`i'esttab, replace keep(var) rtf b(%7.2f) star(* 0.10 ** 0.05 *** 0.01)  r2(%3.2f) obslast   title("Dependent Variable: `outcome'" "VAR stands for")  mtitles("(i) DISTANT" "(ii) SIMILAR" "(iii) MATCH")   
	outreg, replay(3BD)
}
local i = 0
foreach outcome of varlist c611_full  c611_full_1000s   capacity_thirdparty A_LY_PM1a_ {
	mata: mata clear
	local i = `i' +1
	foreach var of varlist   distance_scaled_BUA HHI_IndTask PEER_DEMAND_BUA_2  {
	gen var = `var'
	qui reg   `outcome'  var A_LY_R_ i.year Growth_ALYR_ln comp_intensity  GDP_growth  internal_wage_rate_BUA i.BUA_MODE_id, vce(robust) 
	qui outreg, merge(3BD)
	drop var	
	}
	outreg, replay(3BD)
}


* TABLE 4: Target Revisions — Baseline Models
local size_control = "A_LY_C_611_ln" 
eststo clear
eststo: qui areg  D1_B_PM1a D_LY_A_B_PM1a target_achieve c.D_LY_A_B_PM1a#i.target_achieve D_LY_A_PM1a_Peer_B_PM1a_BUA `size_control' Growth_ALYR_ln comp_intensity  GDP_growth i.year, absorb(BUA_MODE_id) vce(robust) 	
eststo: qui areg  D1_B_PM1a D_LY_A_B_PM1a target_achieve target_achieve#c.D_LY_A_B_PM1a `size_control' Growth_ALYR_ln comp_intensity  GDP_growth i.year if A_LY_PM1a_Top50 == 1, absorb(BUA_MODE_id) vce(robust) 		
eststo: qui areg  D1_B_PM1a D_LY_A_B_PM1a target_achieve target_achieve#c.D_LY_A_B_PM1a `size_control' Growth_ALYR_ln comp_intensity  GDP_growth i.year if A_LY_PM1a_Top50 == 0, absorb(BUA_MODE_id) vce(robust) 	
esttab using Table4esttab, replace rtf b(%7.2f) star(* 0.10 ** 0.05 *** 0.01)  r2(%3.2f) obslast   title("BASELINE") mtitles("(i) Full Sample" "(ii) High" "(iii) Low")   
outreg, clear(4)
local size_control = "A_LY_C_611_ln" 
qui areg  D1_B_PM1a  D_LY_A_B_PM1a target_achieve c.D_LY_A_B_PM1a#i.target_achieve D_LY_A_PM1a_Peer_B_PM1a_BUA `size_control' Growth_ALYR_ln comp_intensity  GDP_growth i.year, absorb(BUA_MODE_id) vce(robust) 	
qui outreg, merge(4)  title("BASELINE") ctitle("DV", "T(t+1)-T(t)"\ "", "Full Sample") addrows("Year FE", "yes" \ "Peer FE", "yes")  starlevels(10 5 1) bdec(2) summstat(r2_a \ r2 \ N)
qui areg  D1_B_PM1a D_LY_A_B_PM1a target_achieve target_achieve#c.D_LY_A_B_PM1a `size_control' Growth_ALYR_ln comp_intensity  GDP_growth i.year if A_LY_PM1a_Top50 == 1, absorb(BUA_MODE_id) vce(robust) 		
qui outreg, merge(4)  title("BASELINE") ctitle("DV", "T(t+1)-T(t)"\ "", "High Perf Rel to Peers") addrows("Year FE", "yes" \ "Peer FE", "yes")  starlevels(10 5 1) bdec(2) summstat(r2_a \ r2 \ N)
qui areg  D1_B_PM1a D_LY_A_B_PM1a target_achieve target_achieve#c.D_LY_A_B_PM1a `size_control' Growth_ALYR_ln comp_intensity  GDP_growth i.year if A_LY_PM1a_Top50 == 0, absorb(BUA_MODE_id) vce(robust) 	
outreg, merge(4)  title("BASELINE") ctitle("DV", "T(t+1)-T(t)"\ "", "Low Perf Rel to Peers") addrows("Year FE", "yes" \ "Peer FE", "yes")  starlevels(10 5 1) bdec(2) summstat(r2_a \ r2 \ N)


* TABLE 5: Target Revisions — Hypotheses Tests
local size_control = "A_LY_C_611_ln" 
eststo clear
mata: mata clear
eststo: qui areg   D1_B_PM1a  D_LY_A_B_PM1a  c.D_LY_A_B_PM1a##i.target_achieve D_LY_A_PM1a_Peer_B_PM1a_BUA COOP_full c.D_LY_A_B_PM1a#c.COOP_full c.D_LY_A_PM1a_Peer_B_PM1a_BUA#c.COOP_full i.year  `size_control' Growth_ALYR_ln comp_intensity  GDP_growth, absorb(BUA_MODE_id) vce(robust)		
	qui outreg, merge(5)  title("Target Setting Analysis") ctitle("DV", "T(t+1)-T(t)" \ "VAR", "`variable'") addrows("Year FE", "yes" \"Peer FE", "yes")  starlevels(10 5 1) bdec(2) summstat(r2_a \ r2 \ N)
foreach variable of varlist sdA_LY_PM1a__t1_Q rF_A_LY_PM1a__t1_Q  {
	gen VAR = `variable'
	eststo: qui areg   D1_B_PM1a  D_LY_A_B_PM1a  c.D_LY_A_B_PM1a##i.target_achieve D_LY_A_PM1a_Peer_B_PM1a_BUA COOP_full c.D_LY_A_B_PM1a#c.COOP_full c.D_LY_A_PM1a_Peer_B_PM1a_BUA#c.COOP_full VAR c.D_LY_A_B_PM1a#c.VAR c.D_LY_A_PM1a_Peer_B_PM1a_BUA#c.VAR   i.year  `size_control' Growth_ALYR_ln comp_intensity  GDP_growth, absorb(BUA_MODE_id) vce(robust)		
	qui outreg, merge(5)  title("Target Setting Analysis") ctitle("DV", "T(t+1)-T(t)" \ "VAR", "`variable'") addrows("Year FE", "yes" \"Peer FE", "yes")  starlevels(10 5 1) bdec(2) summstat(r2_a \ r2 \ N)
	drop VAR
}
esttab using Table5besttab, replace rtf b(%7.2f) star(* 0.10 ** 0.05 *** 0.01)  r2(%3.2f) obslast   title("Variation") ///
	mtitles( "(i) " "(ii) SDOWN" "(iii) PCORR" )    
outreg, replay(5) 


* TABLE 6: Target Revisions — Supplementary Tests
local varlist = "rF_A_LY_PM1a__t1_Q sdA_LY_PM1a__t1_Q " 
foreach noise_control of varlist `varlist'   {
	display as txt "Noise Measure" as res "`noise_control'"
	local size_control "A_LY_C_611_ln" 
	qui areg   D1_B_PM1a  D_LY_A_B_PM1a  c.D_LY_A_B_PM1a##i.target_achieve distance_scaled_BUA c.D_LY_A_B_PM1a#c.distance_scaled_BUA D_LY_A_PM1a_Peer_B_PM1a_BUA c.D_LY_A_PM1a_Peer_B_PM1a_BUA#c.distance_scaled_BUA  `noise_control' c.D_LY_A_B_PM1a#c.`noise_control' c.D_LY_A_PM1a_Peer_B_PM1a_BUA#c.`noise_control' i.year  `size_control' Growth_ALYR_ln comp_intensity  GDP_growth, absorb(BUA_MODE_id) vce(robust)	
	qui outreg, bdec(2) summstat(r2_a \ r2 \ N)
	qui areg   D1_B_PM1a  D_LY_A_B_PM1a  c.D_LY_A_B_PM1a##i.target_achieve HHI_IndTask c.D_LY_A_B_PM1a#c.HHI_IndTask D_LY_A_PM1a_Peer_B_PM1a_BUA c.D_LY_A_PM1a_Peer_B_PM1a_BUA#c.HHI_IndTask `noise_control' c.D_LY_A_B_PM1a#c.`noise_control' c.D_LY_A_PM1a_Peer_B_PM1a_BUA#c.`noise_control' i.year `size_control' Growth_ALYR_ln comp_intensity  GDP_growth, absorb(BUA_MODE_id) vce(robust)	
	qui outreg, merge bdec(2) summstat(r2_a \ r2 \ N)
	qui areg   D1_B_PM1a  D_LY_A_B_PM1a  c.D_LY_A_B_PM1a##i.target_achieve PEER_DEMAND_BUA_2 c.D_LY_A_B_PM1a#c.PEER_DEMAND_BUA_2 D_LY_A_PM1a_Peer_B_PM1a_BUA c.D_LY_A_PM1a_Peer_B_PM1a_BUA#c.PEER_DEMAND_BUA_2 `noise_control' c.D_LY_A_B_PM1a#c.`noise_control' c.D_LY_A_PM1a_Peer_B_PM1a_BUA#c.`noise_control' i.year `size_control' Growth_ALYR_ln comp_intensity  GDP_growth, absorb(BUA_MODE_id) vce(robust)	
	outreg, merge title(" PROXIES AND COOP INDEX WITH  NOISE MEASURES AND PEER FE AND WITH YEAR FE - SIZE CONTROL: " `size_control') bdec(2) summstat(r2_a \ r2 \ N)


}



